"{ Package: 'stx:goodies/petitparser/compiler' }"

"{ NameSpace: Smalltalk }"

Object subclass:#PPCPluggableConfiguration
	instanceVariableNames:'block base'
	classVariableNames:''
	poolDictionaries:''
	category:'PetitCompiler-Core'
!

!PPCPluggableConfiguration class methodsFor:'as yet unclassified'!

on: aBlock
    ^ self on: aBlock base: PPCConfiguration default
!

on: aBlock base: aPPCCOnfiguration
    ^ self new
        block: aBlock;
        base: aPPCCOnfiguration;
        yourself
! !

!PPCPluggableConfiguration methodsFor:'as yet unclassified'!

options: args
    ^ base options: args
!

base: aPPCConfiguration
    base := aPPCConfiguration
!

block: aBlock
    block := aBlock
!

compile: whatever
    base input: whatever.
    block value: base.
    ^ base ir
!

input: whatever
    ^ base input: whatever
!

invokePhases
    ^ block value: base
! !

